Transactions
Get a transaction
GET
/
v1
/
transactions
/
{transaction}
Get a transaction
curl --request GET \
--url https://api.givebutter.com/v1/transactions/{transaction} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.givebutter.com/v1/transactions/{transaction}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.givebutter.com/v1/transactions/{transaction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"plan_id": "<string>",
"pledge_id": "<string>",
"amount": 123,
"fee": 123,
"fee_covered": 123,
"donated": 123,
"payout": 123,
"captured": "<string>",
"captured_at": "<string>",
"timezone": "<string>",
"refunded": "<string>",
"refunded_at": "<string>",
"line_items": [
{
"type": "<string>",
"subtype": "<string>",
"description": "<string>",
"quantity": 123,
"price": 123,
"discount": 123,
"total": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"fair_market_value_amount": "<string>",
"tax_deductible_amount": "<string>",
"is_recurring": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The transaction tid
Response
TransactionResource
- TransactionResource
- TransactionResource
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get a transaction
